CatalogBrands
Suggest brands
Returns up to 10 brands whose names start with the search text.
GET
/v1/catalog/brands/suggestsReturns up to 10 brands whose names start with the search text.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
q*string
Free-text search.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/catalog/brands/suggests?q=example" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "storeId": "7204558912004325301", "name": "Example resource", "slug": "example-resource", "order": 1, "icon": "example", "keywords": [ "example" ] }]